%bcond_without tests

Summary:        Poetry PEP 517 Build Backend
Name:           python-poetry-core
Version:        1.3.2
Release:        3%{?dist}
License:        MIT and (ASL 2.0 or BSD) and Python
URL:            https://github.com/python-poetry/poetry-core
Source0:        %{url}/archive/%{version}/poetry-core-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel pyproject-rpm-macros

%if %{with tests}
BuildRequires:  gcc
BuildRequires:  git-core python3-build python3-pytest python3-pytest-mock
BuildRequires:  python3-pep517 python3-setuptools python3-virtualenv
%endif

%description
A PEP 517 build backend implementation developed for Poetry.
This project is intended to be a light weight, fully compliant, self-contained
package allowing PEP 517 compatible build frontends to build Poetry managed
projects.


%package -n python3-poetry-core
Summary:        Poetry PEP 517 Build Backend
Provides:       bundled(python3dist(attrs)) = 22.1
Provides:       bundled(python3dist(jsonschema)) = 4.10
Provides:       bundled(python3dist(lark)) = 1.1.2
Provides:       bundled(python3dist(packaging)) = 21.3
Provides:       bundled(python3dist(pkgutil-resolve-name)) = 1.3.10
Provides:       bundled(python3dist(pyparsing)) = 3.0.9
Provides:       bundled(python3dist(pyrsistent)) = 0.18.1
Provides:       bundled(python3dist(tomlkit)) = 0.11.4
Provides:       bundled(python3dist(typing-extensions)) = 4.3.0

%description -n python3-poetry-core
A PEP 517 build backend implementation developed for Poetry.
This project is intended to be a light weight, fully compliant, self-contained
package allowing PEP 517 compatible build frontends to build Poetry managed
projects.


%prep
%autosetup -p1 -n poetry-core-%{version}
%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files poetry

%if %{with tests}
%check
%pytest -k "not with_excluded_data"
%endif

%files -n python3-poetry-core -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Miaojun Dong <zoedong@tencent.com> - 1.3.2-1
- initial build
